/*
 *      © 2014 Nike, Inc. All Rights Reserved
 */

/**
 * Module dependencies.
 */

var express = require('express');
var routes = require('./routes');
var http = require('http');
var path = require('path');

var app = express();

app.locals({
    client_id: 'your client id',
    client_secret: 'your client secret',
    redirect_uri: 'http://localhost:3000/authcode_redirect'
});
// all environments
app.set('port', process.env.PORT || 3000);
app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'ejs');
app.use(express.favicon());
app.use(express.logger('dev'));
app.use(express.json());
app.use(express.urlencoded());
app.use(express.methodOverride());
app.use(app.router);
app.use(express.static(path.join(__dirname, 'public')));

// development only
if ('development' == app.get('env')) {
  app.use(express.errorHandler());
}

app.get('/', routes.index);
app.get('/authcode', routes.authcode);
app.get('/authcode_redirect', routes.authcode_redirect);
app.get('/authcode_exchange', routes.authcode_exchange);
app.get('/authcode_refresh', routes.authcode_refresh);
app.get('/authcode_with_refresh', routes.authcode_with_refresh);
app.get('/implicit', routes.implicit);
app.get('/implicit_redirect', routes.implicit_redirect);
app.get('/implicit_popup', routes.implicit_popup);
app.get('/implicit_redirect_popup', routes.implicit_redirect_popup);
app.get('/kitchen_sink', routes.kitchen_sink);

// test endpoints
app.get('/test_siteprefix', routes.test_siteprefix);
app.get('/test_auth_success', routes.test_auth_success);

http.createServer(app).listen(app.get('port'), function(){
  console.log('Express server listening on port ' + app.get('port'));
});
